Index: /branches/histogram/HeuristicLab 3.3.sln
===================================================================
--- /branches/histogram/HeuristicLab 3.3.sln	(revision 5960)
+++ /branches/histogram/HeuristicLab 3.3.sln	(revision 5961)
@@ -1508,4 +1878,6 @@
 		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Release|Any CPU.Build.0 = Release|Any CPU
+		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Release|Mixed Platforms.Build.0 = Release|x64
 		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Release|x64.ActiveCfg = Release|x64
 		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Release|x64.Build.0 = Release|x64
@@ -1514,4 +1886,6 @@
 		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Debug|x64.ActiveCfg = Debug|x64
 		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Debug|x64.Build.0 = Debug|x64
@@ -1520,4 +1894,6 @@
 		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Release|Any CPU.Build.0 = Release|Any CPU
+		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Release|Mixed Platforms.Build.0 = Release|x64
 		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Release|x64.ActiveCfg = Release|x64
 		{49F28045-7B5F-411B-8D59-16C846FA26E0}.Release|x64.Build.0 = Release|x64
@@ -1526,4 +1902,6 @@
 		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|x64.ActiveCfg = Debug|x64
 		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|x64.Build.0 = Debug|x64
@@ -1532,4 +1910,6 @@
 		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|Any CPU.Build.0 = Release|Any CPU
+		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|Mixed Platforms.Build.0 = Release|x64
 		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|x64.ActiveCfg = Release|x64
 		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|x64.Build.0 = Release|x64
@@ -1538,4 +1918,6 @@
 		{00814351-4AB8-4088-9B99-F62787B89E93}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{00814351-4AB8-4088-9B99-F62787B89E93}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{00814351-4AB8-4088-9B99-F62787B89E93}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{00814351-4AB8-4088-9B99-F62787B89E93}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{00814351-4AB8-4088-9B99-F62787B89E93}.Debug|x64.ActiveCfg = Debug|x64
 		{00814351-4AB8-4088-9B99-F62787B89E93}.Debug|x64.Build.0 = Debug|x64
@@ -1544,4 +1926,6 @@
 		{00814351-4AB8-4088-9B99-F62787B89E93}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{00814351-4AB8-4088-9B99-F62787B89E93}.Release|Any CPU.Build.0 = Release|Any CPU
+		{00814351-4AB8-4088-9B99-F62787B89E93}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{00814351-4AB8-4088-9B99-F62787B89E93}.Release|Mixed Platforms.Build.0 = Release|x86
 		{00814351-4AB8-4088-9B99-F62787B89E93}.Release|x64.ActiveCfg = Release|x64
 		{00814351-4AB8-4088-9B99-F62787B89E93}.Release|x64.Build.0 = Release|x64
@@ -1550,4 +1934,6 @@
 		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|x64.ActiveCfg = Debug|x64
 		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|x64.Build.0 = Debug|x64
@@ -1556,4 +1942,6 @@
 		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|Any CPU.Build.0 = Release|Any CPU
+		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|Mixed Platforms.Build.0 = Release|x64
 		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|x64.ActiveCfg = Release|x64
 		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|x64.Build.0 = Release|x64
@@ -1562,4 +1950,6 @@
 		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Debug|x64.ActiveCfg = Debug|x64
 		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Debug|x64.Build.0 = Debug|x64
@@ -1568,4 +1958,6 @@
 		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Release|Mixed Platforms.Build.0 = Release|x86
 		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Release|x64.ActiveCfg = Release|x64
 		{E4CFB0C3-0589-4893-B38E-8BEDF885C765}.Release|x64.Build.0 = Release|x64
@@ -1574,4 +1966,6 @@
 		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Debug|x64.ActiveCfg = Debug|x64
 		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Debug|x64.Build.0 = Debug|x64
@@ -1580,4 +1974,6 @@
 		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Release|Any CPU.Build.0 = Release|Any CPU
+		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Release|Mixed Platforms.Build.0 = Release|x64
 		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Release|x64.ActiveCfg = Release|x64
 		{2E782078-FA81-4B70-B56F-74CE38DAC6C8}.Release|x64.Build.0 = Release|x64
@@ -1586,4 +1982,6 @@
 		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Debug|x64.ActiveCfg = Debug|x64
 		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Debug|x64.Build.0 = Debug|x64
@@ -1592,4 +1990,6 @@
 		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Release|Any CPU.Build.0 = Release|Any CPU
+		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Release|Mixed Platforms.Build.0 = Release|x64
 		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Release|x64.ActiveCfg = Release|x64
 		{A2330DB0-413D-4424-B4E6-591118E2B9F8}.Release|x64.Build.0 = Release|x64
@@ -1598,4 +1998,6 @@
 		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Debug|x64.ActiveCfg = Debug|x64
 		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Debug|x64.Build.0 = Debug|x64
@@ -1604,4 +2006,6 @@
 		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Release|Mixed Platforms.Build.0 = Release|x86
 		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Release|x64.ActiveCfg = Release|x64
 		{06D4A186-9319-48A0-BADE-A2058D462EEA}.Release|x64.Build.0 = Release|x64
@@ -1610,4 +2014,6 @@
 		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Debug|x64.ActiveCfg = Debug|x64
 		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Debug|x64.Build.0 = Debug|x64
@@ -1616,4 +2022,6 @@
 		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Release|Mixed Platforms.Build.0 = Release|x86
 		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Release|x64.ActiveCfg = Release|x64
 		{BDC657BB-A358-477B-B41F-3DAA66A35203}.Release|x64.Build.0 = Release|x64
@@ -1622,4 +2030,6 @@
 		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Debug|x64.ActiveCfg = Debug|x64
 		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Debug|x64.Build.0 = Debug|x64
@@ -1628,4 +2038,6 @@
 		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Release|Mixed Platforms.Build.0 = Release|x86
 		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Release|x64.ActiveCfg = Release|x64
 		{423BD94F-963A-438E-BA45-3BB3D61CD03B}.Release|x64.Build.0 = Release|x64
@@ -1634,4 +2046,6 @@
 		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Debug|x64.ActiveCfg = Debug|x64
 		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Debug|x64.Build.0 = Debug|x64
@@ -1640,4 +2054,6 @@
 		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Release|Any CPU.Build.0 = Release|Any CPU
+		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Release|Mixed Platforms.Build.0 = Release|x86
 		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Release|x64.ActiveCfg = Release|x64
 		{0C67A033-F6D9-4237-B3CA-C033A44706BE}.Release|x64.Build.0 = Release|x64
@@ -1646,4 +2062,6 @@
 		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Debug|x64.ActiveCfg = Debug|x64
 		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Debug|x64.Build.0 = Debug|x64
@@ -1652,4 +2070,6 @@
 		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Release|Any CPU.Build.0 = Release|Any CPU
+		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Release|Mixed Platforms.Build.0 = Release|x86
 		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Release|x64.ActiveCfg = Release|x64
 		{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}.Release|x64.Build.0 = Release|x64
@@ -1658,4 +2078,6 @@
 		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Debug|x64.ActiveCfg = Debug|x64
 		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Debug|x64.Build.0 = Debug|x64
@@ -1664,4 +2086,6 @@
 		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Release|Any CPU.Build.0 = Release|Any CPU
+		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Release|Mixed Platforms.Build.0 = Release|x86
 		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Release|x64.ActiveCfg = Release|x64
 		{DF87C13E-A889-46FF-8153-66DCAA8C5674}.Release|x64.Build.0 = Release|x64
@@ -1670,4 +2094,6 @@
 		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|x64.ActiveCfg = Debug|x64
 		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|x64.Build.0 = Debug|x64
@@ -1676,4 +2102,6 @@
 		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|Any CPU.Build.0 = Release|Any CPU
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|Mixed Platforms.Build.0 = Release|x86
 		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|x64.ActiveCfg = Release|x64
 		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|x64.Build.0 = Release|x64
@@ -1682,4 +2110,6 @@
 		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Debug|x64.ActiveCfg = Debug|x64
 		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Debug|x64.Build.0 = Debug|x64
@@ -1688,4 +2118,6 @@
 		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Release|Any CPU.Build.0 = Release|Any CPU
+		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Release|Mixed Platforms.Build.0 = Release|x86
 		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Release|x64.ActiveCfg = Release|x64
 		{2A976109-67B9-4FF0-89DE-A26A8307A1CE}.Release|x64.Build.0 = Release|x64
@@ -1694,4 +2126,6 @@
 		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Debug|x64.ActiveCfg = Debug|x64
 		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Debug|x64.Build.0 = Debug|x64
@@ -1700,4 +2134,6 @@
 		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Release|Any CPU.Build.0 = Release|Any CPU
+		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Release|Mixed Platforms.Build.0 = Release|x86
 		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Release|x64.ActiveCfg = Release|x64
 		{05BAE4E1-A9FA-4644-AA77-42558720159E}.Release|x64.Build.0 = Release|x64
@@ -1706,4 +2142,6 @@
 		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Debug|x64.ActiveCfg = Debug|x64
 		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Debug|x64.Build.0 = Debug|x64
@@ -1712,4 +2150,6 @@
 		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Release|Mixed Platforms.Build.0 = Release|x86
 		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Release|x64.ActiveCfg = Release|x64
 		{BF1E4DF4-A4CC-451F-9D50-303F405E265E}.Release|x64.Build.0 = Release|x64
@@ -1718,4 +2158,6 @@
 		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Debug|x64.ActiveCfg = Debug|x64
 		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Debug|x64.Build.0 = Debug|x64
@@ -1724,4 +2166,6 @@
 		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Release|Any CPU.Build.0 = Release|Any CPU
+		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Release|Mixed Platforms.Build.0 = Release|x86
 		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Release|x64.ActiveCfg = Release|x64
 		{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}.Release|x64.Build.0 = Release|x64
@@ -1730,4 +2174,6 @@
 		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Debug|x64.ActiveCfg = Debug|x64
 		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Debug|x64.Build.0 = Debug|x64
@@ -1736,4 +2182,6 @@
 		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Release|Any CPU.Build.0 = Release|Any CPU
+		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Release|Mixed Platforms.Build.0 = Release|x86
 		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Release|x64.ActiveCfg = Release|x64
 		{20831A74-D18F-42D9-A667-1CE3AF53DF93}.Release|x64.Build.0 = Release|x64
@@ -1742,4 +2190,6 @@
 		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|x64.ActiveCfg = Debug|x64
 		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|x64.Build.0 = Debug|x64
@@ -1748,4 +2198,6 @@
 		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|Any CPU.Build.0 = Release|Any CPU
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|Mixed Platforms.Build.0 = Release|x86
 		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|x64.ActiveCfg = Release|x64
 		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|x64.Build.0 = Release|x64
@@ -1754,4 +2206,6 @@
 		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Debug|x64.ActiveCfg = Debug|x64
 		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Debug|x64.Build.0 = Debug|x64
@@ -1760,4 +2214,6 @@
 		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Release|Any CPU.Build.0 = Release|Any CPU
+		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Release|Mixed Platforms.Build.0 = Release|x86
 		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Release|x64.ActiveCfg = Release|x64
 		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}.Release|x64.Build.0 = Release|x64
@@ -1766,4 +2222,6 @@
 		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Debug|x64.ActiveCfg = Debug|x64
 		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Debug|x64.Build.0 = Debug|x64
@@ -1772,4 +2230,6 @@
 		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Release|Any CPU.Build.0 = Release|Any CPU
+		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Release|Mixed Platforms.Build.0 = Release|x64
 		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Release|x64.ActiveCfg = Release|x64
 		{B7A64A60-B538-479F-9C47-A3180C458F6C}.Release|x64.Build.0 = Release|x64
@@ -1778,4 +2238,6 @@
 		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Debug|x64.ActiveCfg = Debug|x64
 		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Debug|x64.Build.0 = Debug|x64
@@ -1784,4 +2246,6 @@
 		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Release|Any CPU.Build.0 = Release|Any CPU
+		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Release|Mixed Platforms.Build.0 = Release|x64
 		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Release|x64.ActiveCfg = Release|x64
 		{34C967E5-EEB1-4502-8035-122EDDEF44CB}.Release|x64.Build.0 = Release|x64
@@ -1790,4 +2254,6 @@
 		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Debug|x64.ActiveCfg = Debug|x64
 		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Debug|x64.Build.0 = Debug|x64
@@ -1796,4 +2262,6 @@
 		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Release|Any CPU.Build.0 = Release|Any CPU
+		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Release|Mixed Platforms.Build.0 = Release|x64
 		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Release|x64.ActiveCfg = Release|x64
 		{79271BC8-4446-40E2-BB89-9BE4E17174FE}.Release|x64.Build.0 = Release|x64
@@ -1802,4 +2270,6 @@
 		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Debug|x64.ActiveCfg = Debug|x64
 		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Debug|x64.Build.0 = Debug|x64
@@ -1808,4 +2278,6 @@
 		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Release|Any CPU.Build.0 = Release|Any CPU
+		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Release|Mixed Platforms.Build.0 = Release|x64
 		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Release|x64.ActiveCfg = Release|x64
 		{997F018D-AEA2-4F21-9301-82FAF6A5612D}.Release|x64.Build.0 = Release|x64
@@ -1814,4 +2286,6 @@
 		{00E73394-D41B-4C4F-963F-A59341FA1791}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{00E73394-D41B-4C4F-963F-A59341FA1791}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{00E73394-D41B-4C4F-963F-A59341FA1791}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{00E73394-D41B-4C4F-963F-A59341FA1791}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{00E73394-D41B-4C4F-963F-A59341FA1791}.Debug|x64.ActiveCfg = Debug|x64
 		{00E73394-D41B-4C4F-963F-A59341FA1791}.Debug|x64.Build.0 = Debug|x64
@@ -1820,4 +2294,6 @@
 		{00E73394-D41B-4C4F-963F-A59341FA1791}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{00E73394-D41B-4C4F-963F-A59341FA1791}.Release|Any CPU.Build.0 = Release|Any CPU
+		{00E73394-D41B-4C4F-963F-A59341FA1791}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{00E73394-D41B-4C4F-963F-A59341FA1791}.Release|Mixed Platforms.Build.0 = Release|x64
 		{00E73394-D41B-4C4F-963F-A59341FA1791}.Release|x64.ActiveCfg = Release|x64
 		{00E73394-D41B-4C4F-963F-A59341FA1791}.Release|x64.Build.0 = Release|x64
@@ -1826,4 +2302,6 @@
 		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Debug|x64.ActiveCfg = Debug|x64
 		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Debug|x64.Build.0 = Debug|x64
@@ -1832,8 +2310,22 @@
 		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Release|Any CPU.Build.0 = Release|Any CPU
+		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Release|Mixed Platforms.Build.0 = Release|x86
 		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Release|x64.ActiveCfg = Release|x64
 		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Release|x64.Build.0 = Release|x64
 		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Release|x86.ActiveCfg = Release|x86
 		{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}.Release|x86.Build.0 = Release|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Debug|Any CPU.ActiveCfg = Debug|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Debug|Mixed Platforms.Build.0 = Debug|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Debug|x64.ActiveCfg = Debug|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Debug|x86.ActiveCfg = Debug|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Debug|x86.Build.0 = Debug|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Release|Any CPU.ActiveCfg = Release|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Release|Mixed Platforms.Build.0 = Release|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Release|x64.ActiveCfg = Release|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Release|x86.ActiveCfg = Release|x86
+		{0D308137-8F8A-4361-A63D-09FAFEB29F9C}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/histogram/HeuristicLab.Analysis.Views/3.3/HeuristicLab.Analysis.Views-3.3.csproj
===================================================================
--- /branches/histogram/HeuristicLab.Analysis.Views/3.3/HeuristicLab.Analysis.Views-3.3.csproj	(revision 5960)
+++ /branches/histogram/HeuristicLab.Analysis.Views/3.3/HeuristicLab.Analysis.Views-3.3.csproj	(revision 5961)
@@ -155,4 +155,10 @@
       <DependentUpon>AlleleFrequencyCollectionHistoryView.cs</DependentUpon>
     </Compile>
+    <Compile Include="HistogramView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="HistogramView.Designer.cs">
+      <DependentUpon>HistogramView.cs</DependentUpon>
+    </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="DataTableView.cs">
@@ -233,4 +239,7 @@
     <EmbeddedResource Include="HeatMapView.resx">
       <DependentUpon>HeatMapView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="HistogramView.resx">
+      <DependentUpon>HistogramView.cs</DependentUpon>
     </EmbeddedResource>
   </ItemGroup>
